Skip to main content
`Ctrl`+`K`

# PetscOmpCtrlOmpRegionOnMasterBegin

Mark the beginning of an OpenMP library call on master ranks

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOmpCtrlOmpRegionOnMasterBegin(PetscOmpCtrl ctrl)

## Input Parameter

- ctrl - a PETSc OMP controller

## Note

Only master ranks can call this function. Call `PetscOmpCtrlGetOmpComms()` to know if this is a master rank. This function changes CPU binding of master ranks and nthreads-var of OpenMP runtime

## See Also

`PetscOmpCtrlOmpRegionOnMasterEnd()`, `PetscOmpCtrlCreate()`, `PetscOmpCtrlDestroy()`, `PetscOmpCtrlBarrier()`

## Level

developer

## Location

src/sys/utils/openmp/mpmpishm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages